# Delete Business Partners

Delete batches of Business Partners by ID or a combination of DataSource and External ID. Maximum of 1000 Business Partners are allowed per batch.
In case only a data source is provided in the request, all Business Partners related to this data source will be deleted, but the data source itself
will not be deleted.

Endpoint: POST /storages/{storageId}/businesspartners/delete
Version: 5
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header X-API-KEY

## Path parameters:

  - `storageId` (string, required)
    Unique identifier of the Storage.

## Request body:

  - `application/json` (unknown)
    cmd

## Request fields (application/json):

  - `dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: 648824a691d8d2503d65103e

  - `businessPartners` (array)
    List of Business Partners to be deleted.

  - `businessPartners.id` (string)
    Technical identifier of a business partner record, unique within the CDQ.
    Example: 63e635235c06b7396330fe40

  - `businessPartners.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: The ID managed in the customer's SAP systems.

  - `featuresOn` (array)
    List of features to be used during delete.

## Request examples:

  - `Delete Business Partner Based on External Id` (unknown)

  - `Full request body` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `numberOfDeletes` (integer)
    Number of deleted Business Partners.
    Example: 50

  - `numberOfFailures` (integer)
    Number of failures during deletion.
    Example: 0

  - `failures` (array)
    List of failures.

  - `failures.id` (string)
    Technical identifier of a business partner record, unique within the CDQ.
    Example: 63e635235c06b7396330fe40

  - `failures.dataSource` (string)
    Unique identifier for a Data Source of the Storage.
    Example: 648824a691d8d2503d65103e

  - `failures.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: The ID managed in the customer's SAP systems.

  - `failures.message` (string)
    Error message.
    Example: This record could not be stored due to timeout.

  - `numberOfSkipped` (integer)
    Number of requested items skipped during deletion because they didn't match any existing Business Partner.
    Example: 0

  - `skipped` (array)
    List of requested items that were well-formed but didn't match any existing Business Partner.

  - `skipped.status` (object)
    Status explaining why the requested item was skipped.

  - `skipped.status.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `skipped.status.message` (string)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

## Response 201:

  - `201` (unknown)
    Created

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 404:

  - `404` (unknown)
    Not Found

